LobHelper (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Interface LobHelper

    public interface LobHelper

A `session's` helper for creating LOB data

Method Summary
`Blob` | `createBlob(byte[] bytes)` Create a new `Blob` from bytes.
`Blob` | `createBlob(InputStream stream, long length)` Create a new `Blob` from stream data.
`Clob` | `createClob(Reader reader, long length)` Create a new `Clob` from character reader.
`Clob` | `createClob(String string)` Create a new `Clob` from content
`NClob` | `createNClob(Reader reader, long length)` Create a new `NClob` from character reader.
`NClob` | `createNClob(String string)` Create a new `NClob` from content.

Method Detail

### createBlob

    Blob createBlob(byte[] bytes)

  Create a new `Blob` from bytes.

  Parameters:
    `bytes` - a byte array
  Returns:
    the created Blob

### createBlob

    Blob createBlob(InputStream stream,
                    long length)

  Create a new `Blob` from stream data.

  Parameters:
    `stream` - a binary stream
    `length` - the number of bytes in the stream
  Returns:
    the create Blob

### createClob

    Clob createClob(String string)

  Create a new `Clob` from content

  Parameters:
    `string` - The string data
  Returns:
    The created `Clob`

### createClob

    Clob createClob(Reader reader,
                    long length)

  Create a new `Clob` from character reader.

  Parameters:
    `reader` - a character stream
    `length` - the number of characters in the stream
  Returns:
    The created `Clob`

### createNClob

    NClob createNClob(String string)

  Create a new `NClob` from content.

  Parameters:
    `string` - The string data
  Returns:
    The created `NClob`

### createNClob

    NClob createNClob(Reader reader,
                      long length)

  Create a new `NClob` from character reader.

  Parameters:
    `reader` - a character stream
    `length` - the number of characters in the stream
  Returns:
    The created `NClob`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.